/**
 * classA
 *
 * This class has an internal (public) typedef defined
 */
class classA
{
 public:
  /**
   *  classA's internal typedef
   */
  typedef unsigned short MyType;

  /**
   *  @brief constructor
   */
  classA()
    {
    }

  /**
   *  @brief destructor
   */
  ~classA()
    {
    }
};



/**
 * classB
 * 
 * This class is using classA's internal (public) typdef
 */
class classB
{
 public:

  /**
   *  @brief constructor
   */
  classB()
  {}

  /**
   *  @brief constructor
   */
  ~classB()
  {}

  /**
   * classB method using classA's internal (public) typedef directly
   */
  void myMethod(classA::MyType var);

};


int main()
{
  return 1;
}
